import Vue from 'vue' // 加载vue模块
import promptComponent from './dialog.vue' // 加载dialog组件



export default {
	// 打开对话框
	open: function (args) { // 打开对话框
		const promptConstructor = Vue.extend(promptComponent); // 创建一个子类
		let instance = new promptConstructor().$mount(''); // 创建一个实例
		document.body.appendChild(instance.$el); // 将实例挂载到body上
		instance.open(args); // 打开对话框
	}

};